
cc.Class({
    extends: cc.Component,

    properties: {
        BlockPlist:cc.SpriteAtlas,
		blockPrefab: cc.Prefab,
		map:cc.Node,
    },

    // LIFE-CYCLE CALLBACKS:

    onLoad () {
		for(var i=0;i < 32 ; i++){
			for(var j = 0; j< 32 ; j++){
				var mNode = cc.instantiate(this.blockPrefab);
				mNode.children[0].getComponent(cc.Sprite).spriteFrame = this.BlockPlist.getSpriteFrame("11");
				mNode.getComponent(cc.Sprite).spriteFrame = this.BlockPlist.getSpriteFrame("10");
				mNode.width = 22;//block尺寸
				mNode.height = 22; 
				mNode.children[0].width = 22;//边框尺寸
				mNode.children[0].height = 22;
				mNode.setPosition(cc.v2(-350 + 11 + 22*j,350 - 11 - 22 *i));
				mNode.children[1].scale = 22/(11040/22);
				//添加图片数字
				mNode.children[1].children[0].getComponent(cc.Sprite).spriteFrame = this.BlockPlist.getSpriteFrame("0");
				mNode.children[1].children[1].getComponent(cc.Sprite).spriteFrame = this.BlockPlist.getSpriteFrame("1");
				mNode.children[1].children[2].getComponent(cc.Sprite).spriteFrame = this.BlockPlist.getSpriteFrame("2");
				this.map.addChild(mNode);
			}
		}
		
		this.blockgray();
	},
	
	blockgray:function(){//地图中方块颜色指示：选中某种颜色map中对应的block为深灰色
		var blockarray = this.map.children;
		for(var i= 0; i< blockarray.length ;i++){
			if(i % 2 == 0){
				var color1 = new cc.color(120, 120, 120);
				blockarray[i].color = color1;//选中的变深灰色
				blockarray[i].opacity = 255;
				//blockarray[i].runAction(cc.blink(0.5, 2));
			}
			else{
				var color1 = new cc.color(120, 120, 120);
				blockarray[i].color = color1;//选中的变深灰色
				blockarray[i].opacity = 100;
			}
		}
	},

    start () {

    },

    update (dt) {
		
	},
});
